{**
 * Copyright © Lyra Network.
 * This file is part of Payty plugin for PrestaShop. See COPYING.md for license details.
 *
 * @author    Lyra Network (https://www.lyra.com/)
 * @copyright Lyra Network
 * @license   https://opensource.org/licenses/afl-3.0.php Academic Free License (AFL 3.0)
 *}

<tr id="payty_ffin_option_{$key|escape:'html':'UTF-8'}">
  <td>
    {include file="./input_text_lang.tpl"
      languages=$prestashop_languages
      current_lang=$prestashop_lang
      input_name="PAYTY_FFIN_OPTIONS[{$key|escape:'html':'UTF-8'}][label]"
      field_id="PAYTY_FFIN_OPTIONS_{$key|escape:'html':'UTF-8'}_label"
      input_value=$option.label
      style="width: 140px;"
    }
  </td>
  <td>
    <select id="PAYTY_FFIN_OPTIONS_{$key|escape:'html':'UTF-8'}_count"
        name="PAYTY_FFIN_OPTIONS[{$key|escape:'html':'UTF-8'}][count]">
        {foreach from=$franfinance_count key="count_key" item="count_option"}
            <option value="{$count_key|escape:'html':'UTF-8'}"{if isset($option.count) && $option.count === (string)$count_key} selected="selected"{/if}>{$count_option|escape:'html':'UTF-8'}</option>
        {/foreach}
    </select>
  </td>
  <td>
    <select id="PAYTY_FFIN_OPTIONS_{$key|escape:'html':'UTF-8'}_fees"
        name="PAYTY_FFIN_OPTIONS[{$key|escape:'html':'UTF-8'}][fees]">
        {foreach from=$fees_options key="fee_key" item="fee_option"}
            <option value="{$fee_key|escape:'html':'UTF-8'}"{if isset($option.fees) && $option.fees === (string)$fee_key} selected="selected"{/if}>{$fee_option|escape:'html':'UTF-8'}</option>
        {/foreach}
     </select>
  </td>
  <td>
    <input id="PAYTY_FFIN_OPTIONS_{$key|escape:'html':'UTF-8'}_min_amount"
        name="PAYTY_FFIN_OPTIONS[{$key|escape:'html':'UTF-8'}][min_amount]"
        value="{$option.min_amount|escape:'html':'UTF-8'}"
        style="width: 75px;"
        type="text">
  </td>
  <td>
    <input id="PAYTY_FFIN_OPTIONS_{$key|escape:'html':'UTF-8'}_max_amount"
        name="PAYTY_FFIN_OPTIONS[{$key|escape:'html':'UTF-8'}][max_amount]"
        value="{$option.max_amount|escape:'html':'UTF-8'}"
        style="width: 75px;"
        type="text">
  </td>
  <td>
    <button type="button" style="width: 75px;" onclick="javascript: paytyDeleteFranfinanceOption({$key|escape:'html':'UTF-8'});">{l s='Delete' mod='payty'}</button>
  </td>
</tr>
